# Projet WEB CFA Nimes

## Introduction

Le but de ce projet est de créer un mini site administrable permettant de visualiser les végétaux visibles sur le lycée.

## Front

Le front, partie visible par les visiteurs, se compose de 2 blocs :

* Header
* Main

### Header

Le header contient un logo, un menu ainsi qu'une zone de recherche.

Le menu contient 2 éléments :

* Plan
* Végétaux

Le plan renvoie sur la page plan.

Végétaux contient un sous menu listant les différents types de végétaux.

### Main

La zone main contient le contenu de la page courante.

Le site contient 3 types de pages :

* Page d'accueil
* Page listant l'ensemble des végétaux d'une famille
* Plan du lycée

### Recherche

Le module de recherche permet de faire une recherche AJAX avec auto complétion.

Le fait de cliquer sur un résultat de la recherche renvoie sur le plan du lycée.

Sur le plan des marqueurs sont placés aux endroits ou se trouve le végétal recherché.

Les détails du végétal sont affichés sur la droite.

### Plan

La page plan du lycée affiche une carte du lycée.

Des zones sont cliquables. Un clic sur une zone permet d'afficher, sur la droite, le détails du végétal choisi, de la même manière que lors d'une recherche.

## Back

Le back permet aux utilisateurs enregistrés (liste pré définie) de saisir les informations suivantes :
* Type de végétaux (permettant de peupler le menu "Végétal")
* Végétaux
* Placer des marqueurs sur la carte

### Type de Végétaux

L'entité "Type de végétaux" contient simplement un nom.

### Végétaux

L'entité "Végétaux" contient :
* Un nom
* Un "type de Végétaux"
* Une photo principale
* Une ou plusieurs photos secondaires (?)
* Une description
* Une position sur la carte

```
DEBUG=cfa-nimes:* npm start
```
